# This file created by conda-build 24.5.1
# meta.yaml template originally from:
# /opt/recipe, last modified Tue Jun  4 13:21:41 2024
# ------------------------------------------------

package:
  name: gseapy
  version: 1.1.3
source:
  sha256: 7f9218bb4014a862680d4d3e806e59bec8f81601e876a04495922da81da1b395
  url: https://files.pythonhosted.org/packages/28/c2/7c03f74682de640b71ba9a9958c5c8a90867b0f4f9ffef2c15702113d47a/gseapy-1.1.3.tar.gz
build:
  entry_points:
    - gseapy = gseapy.__main__:main
  number: '1'
  run_exports:
    - gseapy >=1.1.3,<2.0a0
  string: py312h981cfc2_1
requirements:
  build:
    - _openmp_mutex 4.5 2_gnu
    - _sysroot_linux-aarch64_curr_repodata_hack 4 h57d6b7b_14
    - binutils_impl_linux-aarch64 2.40 hf54a868_1
    - binutils_linux-aarch64 2.40 h95d2017_3
    - gcc_impl_linux-aarch64 13.2.0 hc4b1cec_7
    - gcc_linux-aarch64 13.2.0 hf42520a_3
    - kernel-headers_linux-aarch64 4.18.0 h5b4a56d_14
    - ld_impl_linux-aarch64 2.40 h9fc2d93_1
    - libgcc-devel_linux-aarch64 13.2.0 h15a78c4_107
    - libgcc-ng 13.2.0 he277a41_7
    - libgomp 13.2.0 he277a41_7
    - libsanitizer 13.2.0 hfcb8e1e_7
    - libstdcxx-ng 13.2.0 h3f4de04_7
    - libzlib 1.3.1 h68df207_1
    - rust 1.77.2 h9d3d833_1
    - rust-std-aarch64-unknown-linux-gnu 1.77.2 hbe8e118_1
    - rust_linux-aarch64 1.77.2 h0be685a_3
    - sysroot_linux-aarch64 2.17 h5b4a56d_14
  host:
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h31becfc_5
    - ca-certificates 2024.6.2 hcefe29a_0
    - ld_impl_linux-aarch64 2.40 h9fc2d93_1
    - libexpat 2.6.2 h2f0025b_0
    - libffi 3.4.2 h3557bc0_5
    - libgcc-ng 13.2.0 he277a41_7
    - libgomp 13.2.0 he277a41_7
    - libnsl 2.0.1 h31becfc_0
    - libsqlite 3.45.3 h194ca79_0
    - libuuid 2.38.1 hb4cce97_0
    - libxcrypt 4.4.36 h31becfc_1
    - libzlib 1.3.1 h68df207_1
    - ncurses 6.5 h0425590_0
    - openssl 3.3.0 h68df207_3
    - pip 24.0 pyhd8ed1ab_0
    - python 3.12.3 h43d1f9e_0_cpython
    - readline 8.2 h8fc344f_1
    - semantic_version 2.10.0 pyhd8ed1ab_0
    - setuptools 70.0.0 pyhd8ed1ab_0
    - setuptools-rust 1.9.0 pyhd8ed1ab_0
    - tk 8.6.13 h194ca79_0
    - tomli 2.0.1 pyhd8ed1ab_0
    - tzdata 2024a h0c530f3_0
    - wheel 0.43.0 pyhd8ed1ab_1
    - xz 5.2.6 h9cdd2b7_0
  run:
    - matplotlib-base >=1.4.3
    - numpy >=1.13.0
    - pandas >=0.16
    - python >=3.12,<3.13.0a0
    - python_abi 3.12.* *_cp312
    - requests
    - scipy
    - tomli >=1.2.1
test:
  commands:
    - gseapy --help
  imports:
    - gseapy
about:
  home: https://github.com/zqfang/gseapy
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: Gene Set Enrichment Analysis in Python
extra:
  additional-platforms:
    - linux-aarch64
  container:
    extended-base: true
  copy_test_source_files: true
  final: true
